# SQL Streaming

## List SQL Processors

> Returns a list of all registered SQL processors with their current states, configurations, and metadata. Results are filtered based on the caller's permissions.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpListSqlProcessorsApiResponse":{"type":"object","properties":{"processors":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpGetSqlProcessorApiResponse"}}}},"agent_HttpGetSqlProcessorApiResponse":{"required":["id","application","metadata","deployment","coverage"],"type":"object","properties":{"id":{"type":"string","minLength":1},"application":{"$ref":"#/components/schemas/agent_HttpApplicationDetails"},"metadata":{"$ref":"#/components/schemas/agent_MetadataDetails"},"deployment":{"$ref":"#/components/schemas/agent_HttpDeploymentDetails"},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_HttpApplicationDetails":{"required":["name","processorId","lrn","otherSettings"],"type":"object","properties":{"name":{"type":"string","minLength":1},"processorId":{"type":"string","minLength":1},"lrn":{"type":"string","minLength":1},"sql":{"type":"string","minLength":1},"inputTopics":{"type":"array","items":{"$ref":"#/components/schemas/agent_TopicApiDetails"}},"outputTopics":{"type":"array","items":{"$ref":"#/components/schemas/agent_TopicApiDetails"}},"otherSettings":{"$ref":"#/components/schemas/agent_Map_Refined_Refined"}}},"agent_TopicApiDetails":{"required":["name","keyFormat","valueFormat"],"type":"object","properties":{"name":{"type":"string","minLength":1},"keyFormat":{"$ref":"#/components/schemas/agent_DecoderType"},"valueFormat":{"$ref":"#/components/schemas/agent_DecoderType"}}},"agent_DecoderType":{"type":"string","description":"A lenses format decoder or a fully qualified custom serde class name","enum":["TWAVRO","SWBYTES","XML","TWPROTOBUF","SWXML","TWJSON","SWPROTOBUF","TWXML","INT","PROTOBUF","TWBYTES","TWINT","LONG","SWAVRO","SWINT","JSON","SWSTRING","SWJSON","BYTES","CSV","AVRO","STRING","SWLONG","TWSTRING","TWLONG"]},"agent_Map_Refined_Refined":{"type":"object","additionalProperties":{"type":"string","minLength":1}},"agent_MetadataDetails":{"required":["createdBy","createdAt","processorType"],"type":"object","properties":{"description":{"type":"string","minLength":1},"tags":{"type":"array","items":{"type":"string","minLength":1}},"createdBy":{"type":"string","minLength":1},"createdAt":{"type":"string","format":"date-time"},"processorType":{"$ref":"#/components/schemas/agent_SqlProcessorType"}}},"agent_SqlProcessorType":{"type":"string","enum":["PreDaD","DaD"]},"agent_HttpDeploymentDetails":{"required":["details","status"],"type":"object","properties":{"details":{"$ref":"#/components/schemas/agent_HttpDeploymentSpecificDetails"},"status":{"$ref":"#/components/schemas/agent_DeploymentStatus"}}},"agent_HttpDeploymentSpecificDetails":{"required":["replicas","otherSettings","labels"],"type":"object","properties":{"replicas":{"type":"integer"},"otherSettings":{"$ref":"#/components/schemas/agent_Map_Refined_Refined"},"labels":{"$ref":"#/components/schemas/agent_Map_Refined_Refined"},"cluster":{"type":"string","minLength":1},"namespace":{"type":"string","minLength":1}}},"agent_DeploymentStatus":{"required":["level"],"type":"object","properties":{"level":{"$ref":"#/components/schemas/agent_ProcessorApiStatus"},"startedAt":{"type":"string","format":"date-time"},"stoppedAt":{"type":"string","format":"date-time"},"replicas":{"type":"array","items":{"$ref":"#/components/schemas/agent_ReplicaApiDetails"}}}},"agent_ProcessorApiStatus":{"type":"string","enum":["NOT_RUNNING","RUNNING","WARNING","FAILED","PENDING"]},"agent_ReplicaApiDetails":{"required":["id","status"],"type":"object","properties":{"id":{"type":"string","minLength":1},"status":{"$ref":"#/components/schemas/agent_ReplicaApiStatus"},"msg":{"type":"string","minLength":1}}},"agent_ReplicaApiStatus":{"type":"string","enum":["STOPPED","RUNNING","WARNING","FAILED","PENDING"]},"agent_InformationCoverage":{"type":"string","enum":["full","partial"]},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/streams":{"get":{"tags":["agent_SqlStreaming"],"summary":"List SQL Processors","description":"Returns a list of all registered SQL processors with their current states, configurations, and metadata. Results are filtered based on the caller's permissions.","operationId":"listSqlProcessorsV2","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_HttpListSqlProcessorsApiResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Create SQL Processor

> Registers and creates a new SQL processor with the provided configuration. The processor executes streaming SQL queries against Kafka topics. Returns the processor ID and initial state upon successful creation.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_RegisterProcessorApiRequest":{"required":["name","sql","deployment"],"type":"object","properties":{"name":{"type":"string","minLength":1},"processorId":{"type":"string","minLength":1},"sql":{"type":"string","minLength":1},"description":{"type":"string","minLength":1},"deployment":{"$ref":"#/components/schemas/agent_DeploymentDescriptionRequest"},"tags":{"type":"array","items":{"type":"string","minLength":1}}}},"agent_DeploymentDescriptionRequest":{"oneOf":[{"$ref":"#/components/schemas/agent_KubernetesDeployment"},{"$ref":"#/components/schemas/agent_LensesDeployment"}]},"agent_KubernetesDeployment":{"required":["details"],"type":"object","properties":{"details":{"$ref":"#/components/schemas/agent_KubernetesDescription"}}},"agent_KubernetesDescription":{"required":["runners","cluster","namespace"],"type":"object","properties":{"runners":{"type":"integer"},"cluster":{"type":"string","minLength":1},"namespace":{"type":"string","minLength":1},"requestedCpu":{"type":"number","format":"double"},"limitCpu":{"type":"number","format":"double"},"requestedMemory":{"type":"integer"},"limitMemory":{"type":"integer"}}},"agent_LensesDeployment":{"type":"object"},"agent_RegisterProcessorApiResponse":{"required":["id"],"type":"object","properties":{"id":{"type":"string","minLength":1}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/streams":{"post":{"tags":["agent_SqlStreaming"],"summary":"Create SQL Processor","description":"Registers and creates a new SQL processor with the provided configuration. The processor executes streaming SQL queries against Kafka topics. Returns the processor ID and initial state upon successful creation.","operationId":"createSqlProcessorV2","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_RegisterProcessorApiRequest"}}},"required":true},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_RegisterProcessorApiResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## List SQL Processors (Legacy)

> Legacy endpoint for listing SQL processors. Use the V2 endpoint for new integrations which provides enhanced response format.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpListSqlProcessorsLegacyApiResponse":{"type":"object","properties":{"targets":{"type":"array","items":{"$ref":"#/components/schemas/agent_Target"}},"streams":{"type":"array","items":{"$ref":"#/components/schemas/agent_HttpGetSqlProcessorLegacyApiResponse"}}}},"agent_Target":{"required":["cluster"],"type":"object","properties":{"cluster":{"type":"string"},"version":{"type":"string"},"namespaces":{"type":"array","items":{"type":"string"}}}},"agent_HttpGetSqlProcessorLegacyApiResponse":{"required":["user","name","id","lrn","processorId","clusterName","namespace","runners","state","processorType","settings","coverage"],"type":"object","properties":{"user":{"type":"string"},"name":{"type":"string"},"id":{"type":"string"},"lrn":{"type":"string"},"processorId":{"type":"string"},"sql":{"type":"string"},"clusterName":{"type":"string"},"startTs":{"type":"integer","format":"int64"},"namespace":{"type":"string"},"pipeline":{"type":"string"},"runners":{"type":"integer"},"inputTopics":{"type":"array","items":{"type":"string"}},"outputTopics":{"type":"array","items":{"type":"string"}},"state":{"$ref":"#/components/schemas/agent_AppState"},"upTime":{"type":"integer","format":"int64"},"stopTs":{"type":"integer","format":"int64"},"lastAction":{"$ref":"#/components/schemas/agent_LastAction"},"processorType":{"$ref":"#/components/schemas/agent_SqlProcessorType"},"settings":{"$ref":"#/components/schemas/agent_Map_String_String"},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_AppState":{"required":["deploymentStatus","runnerStatus"],"type":"object","properties":{"deploymentStatus":{"$ref":"#/components/schemas/agent_AppStateEnum"},"deploymentError":{"type":"string"},"runnerStatus":{"$ref":"#/components/schemas/agent_Map_String_Runner"}}},"agent_AppStateEnum":{"type":"string","enum":["FAILED","STOPPED","RUNNING","UNKNOWN","CREATED","REBALANCING","NOT_RUNNING","WARNING","PENDING"]},"agent_Map_String_Runner":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/agent_Runner1"}},"agent_Runner1":{"required":["id","worker","status"],"type":"object","properties":{"id":{"type":"string"},"worker":{"type":"string"},"status":{"$ref":"#/components/schemas/agent_AppStateEnum"},"errorMsg":{"type":"string"}}},"agent_LastAction":{"required":["action","msg"],"type":"object","properties":{"action":{"$ref":"#/components/schemas/agent_RunnerAction"},"msg":{"type":"string"}}},"agent_RunnerAction":{"type":"string","enum":["Scaled","Stopped","Started","ConfigChange","Recovered"]},"agent_SqlProcessorType":{"type":"string","enum":["PreDaD","DaD"]},"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_InformationCoverage":{"type":"string","enum":["full","partial"]},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams":{"get":{"tags":["agent_SqlStreaming"],"summary":"List SQL Processors (Legacy)","description":"Legacy endpoint for listing SQL processors. Use the V2 endpoint for new integrations which provides enhanced response format.","operationId":"listSqlProcessorsV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_HttpListSqlProcessorsLegacyApiResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Create SQL Processor (Legacy)

> Legacy endpoint for creating SQL processors. Use the V2 endpoint for new integrations. Returns the processor ID as a string.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_RegisterProcessorLegacyApiRequest":{"required":["name","sql","runnerCount"],"type":"object","properties":{"name":{"type":"string"},"appId":{"type":"string"},"sql":{"type":"string"},"runnerCount":{"type":"integer"},"cluster":{"type":"string"},"namespace":{"type":"string"},"settings":{"$ref":"#/components/schemas/agent_Map_String_String"},"user":{"type":"string"},"pipeline":{"type":"string"}}},"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams":{"post":{"tags":["agent_SqlStreaming"],"summary":"Create SQL Processor (Legacy)","description":"Legacy endpoint for creating SQL processors. Use the V2 endpoint for new integrations. Returns the processor ID as a string.","operationId":"createSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_RegisterProcessorLegacyApiRequest"}}},"required":true},"responses":{"201":{"description":"","content":{"application/json":{"schema":{"type":"string","minLength":1}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get SQL Processor (Legacy)

> Legacy endpoint for retrieving SQL processor details. Use the V2 endpoint for new integrations which provides enhanced response format.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpGetSqlProcessorLegacyApiResponse":{"required":["user","name","id","lrn","processorId","clusterName","namespace","runners","state","processorType","settings","coverage"],"type":"object","properties":{"user":{"type":"string"},"name":{"type":"string"},"id":{"type":"string"},"lrn":{"type":"string"},"processorId":{"type":"string"},"sql":{"type":"string"},"clusterName":{"type":"string"},"startTs":{"type":"integer","format":"int64"},"namespace":{"type":"string"},"pipeline":{"type":"string"},"runners":{"type":"integer"},"inputTopics":{"type":"array","items":{"type":"string"}},"outputTopics":{"type":"array","items":{"type":"string"}},"state":{"$ref":"#/components/schemas/agent_AppState"},"upTime":{"type":"integer","format":"int64"},"stopTs":{"type":"integer","format":"int64"},"lastAction":{"$ref":"#/components/schemas/agent_LastAction"},"processorType":{"$ref":"#/components/schemas/agent_SqlProcessorType"},"settings":{"$ref":"#/components/schemas/agent_Map_String_String"},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_AppState":{"required":["deploymentStatus","runnerStatus"],"type":"object","properties":{"deploymentStatus":{"$ref":"#/components/schemas/agent_AppStateEnum"},"deploymentError":{"type":"string"},"runnerStatus":{"$ref":"#/components/schemas/agent_Map_String_Runner"}}},"agent_AppStateEnum":{"type":"string","enum":["FAILED","STOPPED","RUNNING","UNKNOWN","CREATED","REBALANCING","NOT_RUNNING","WARNING","PENDING"]},"agent_Map_String_Runner":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/agent_Runner1"}},"agent_Runner1":{"required":["id","worker","status"],"type":"object","properties":{"id":{"type":"string"},"worker":{"type":"string"},"status":{"$ref":"#/components/schemas/agent_AppStateEnum"},"errorMsg":{"type":"string"}}},"agent_LastAction":{"required":["action","msg"],"type":"object","properties":{"action":{"$ref":"#/components/schemas/agent_RunnerAction"},"msg":{"type":"string"}}},"agent_RunnerAction":{"type":"string","enum":["Scaled","Stopped","Started","ConfigChange","Recovered"]},"agent_SqlProcessorType":{"type":"string","enum":["PreDaD","DaD"]},"agent_Map_String_String":{"type":"object","additionalProperties":{"type":"string"}},"agent_InformationCoverage":{"type":"string","enum":["full","partial"]},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}":{"get":{"tags":["agent_SqlStreaming"],"summary":"Get SQL Processor (Legacy)","description":"Legacy endpoint for retrieving SQL processor details. Use the V2 endpoint for new integrations which provides enhanced response format.","operationId":"getSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_HttpGetSqlProcessorLegacyApiResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Delete SQL Processor

> Permanently removes a SQL processor and its associated resources. The processor must be in a stopped state before deletion. Returns the deleted processor ID.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}":{"delete":{"tags":["agent_SqlStreaming"],"summary":"Delete SQL Processor","description":"Permanently removes a SQL processor and its associated resources. The processor must be in a stopped state before deletion. Returns the deleted processor ID.","operationId":"deleteSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"string","minLength":1}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get SQL Processor

> Retrieves detailed information about a specific SQL processor including its configuration, current state, SQL query, input/output topics, and runtime metrics.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_HttpGetSqlProcessorApiResponse":{"required":["id","application","metadata","deployment","coverage"],"type":"object","properties":{"id":{"type":"string","minLength":1},"application":{"$ref":"#/components/schemas/agent_HttpApplicationDetails"},"metadata":{"$ref":"#/components/schemas/agent_MetadataDetails"},"deployment":{"$ref":"#/components/schemas/agent_HttpDeploymentDetails"},"coverage":{"$ref":"#/components/schemas/agent_InformationCoverage"}}},"agent_HttpApplicationDetails":{"required":["name","processorId","lrn","otherSettings"],"type":"object","properties":{"name":{"type":"string","minLength":1},"processorId":{"type":"string","minLength":1},"lrn":{"type":"string","minLength":1},"sql":{"type":"string","minLength":1},"inputTopics":{"type":"array","items":{"$ref":"#/components/schemas/agent_TopicApiDetails"}},"outputTopics":{"type":"array","items":{"$ref":"#/components/schemas/agent_TopicApiDetails"}},"otherSettings":{"$ref":"#/components/schemas/agent_Map_Refined_Refined"}}},"agent_TopicApiDetails":{"required":["name","keyFormat","valueFormat"],"type":"object","properties":{"name":{"type":"string","minLength":1},"keyFormat":{"$ref":"#/components/schemas/agent_DecoderType"},"valueFormat":{"$ref":"#/components/schemas/agent_DecoderType"}}},"agent_DecoderType":{"type":"string","description":"A lenses format decoder or a fully qualified custom serde class name","enum":["TWAVRO","SWBYTES","XML","TWPROTOBUF","SWXML","TWJSON","SWPROTOBUF","TWXML","INT","PROTOBUF","TWBYTES","TWINT","LONG","SWAVRO","SWINT","JSON","SWSTRING","SWJSON","BYTES","CSV","AVRO","STRING","SWLONG","TWSTRING","TWLONG"]},"agent_Map_Refined_Refined":{"type":"object","additionalProperties":{"type":"string","minLength":1}},"agent_MetadataDetails":{"required":["createdBy","createdAt","processorType"],"type":"object","properties":{"description":{"type":"string","minLength":1},"tags":{"type":"array","items":{"type":"string","minLength":1}},"createdBy":{"type":"string","minLength":1},"createdAt":{"type":"string","format":"date-time"},"processorType":{"$ref":"#/components/schemas/agent_SqlProcessorType"}}},"agent_SqlProcessorType":{"type":"string","enum":["PreDaD","DaD"]},"agent_HttpDeploymentDetails":{"required":["details","status"],"type":"object","properties":{"details":{"$ref":"#/components/schemas/agent_HttpDeploymentSpecificDetails"},"status":{"$ref":"#/components/schemas/agent_DeploymentStatus"}}},"agent_HttpDeploymentSpecificDetails":{"required":["replicas","otherSettings","labels"],"type":"object","properties":{"replicas":{"type":"integer"},"otherSettings":{"$ref":"#/components/schemas/agent_Map_Refined_Refined"},"labels":{"$ref":"#/components/schemas/agent_Map_Refined_Refined"},"cluster":{"type":"string","minLength":1},"namespace":{"type":"string","minLength":1}}},"agent_DeploymentStatus":{"required":["level"],"type":"object","properties":{"level":{"$ref":"#/components/schemas/agent_ProcessorApiStatus"},"startedAt":{"type":"string","format":"date-time"},"stoppedAt":{"type":"string","format":"date-time"},"replicas":{"type":"array","items":{"$ref":"#/components/schemas/agent_ReplicaApiDetails"}}}},"agent_ProcessorApiStatus":{"type":"string","enum":["NOT_RUNNING","RUNNING","WARNING","FAILED","PENDING"]},"agent_ReplicaApiDetails":{"required":["id","status"],"type":"object","properties":{"id":{"type":"string","minLength":1},"status":{"$ref":"#/components/schemas/agent_ReplicaApiStatus"},"msg":{"type":"string","minLength":1}}},"agent_ReplicaApiStatus":{"type":"string","enum":["STOPPED","RUNNING","WARNING","FAILED","PENDING"]},"agent_InformationCoverage":{"type":"string","enum":["full","partial"]},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v2/streams/{id}":{"get":{"tags":["agent_SqlStreaming"],"summary":"Get SQL Processor","description":"Retrieves detailed information about a specific SQL processor including its configuration, current state, SQL query, input/output topics, and runtime metrics.","operationId":"getSqlProcessorV2","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_HttpGetSqlProcessorApiResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get SQL Processor Graph

> Returns the DAG (Directed Acyclic Graph) representation of the SQL processor's topology, showing the flow of data through operators, sources, and sinks.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_ProcessorGraphResponse":{"type":"object","properties":{"sources":{"type":"array","items":{"type":"string"}},"nodes":{"type":"array","items":{"$ref":"#/components/schemas/agent_ProcessorGraphNode"}}}},"agent_ProcessorGraphNode":{"required":["key","type","nodeType"],"type":"object","properties":{"key":{"type":"string"},"description":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_TopologyNodeType"},"nodeType":{"$ref":"#/components/schemas/agent_NodeType"},"keyType":{"$ref":"#/components/schemas/agent_DecoderType"},"valueType":{"$ref":"#/components/schemas/agent_DecoderType"},"children":{"type":"array","items":{"type":"string"}}}},"agent_TopologyNodeType":{"type":"string","enum":["STREAM","TOPIC","TABLE","SELECT","FILTER","JOIN","GROUPBY","AGGREGATE","COUNT","REPARTITION","MAP","FLATMAP","SINK","SOURCE","PROCESSOR"]},"agent_NodeType":{"type":"string","enum":["PreDaDProcessor","Stream","Table","Topic","Sink"]},"agent_DecoderType":{"type":"string","description":"A lenses format decoder or a fully qualified custom serde class name","enum":["TWAVRO","SWBYTES","XML","TWPROTOBUF","SWXML","TWJSON","SWPROTOBUF","TWXML","INT","PROTOBUF","TWBYTES","TWINT","LONG","SWAVRO","SWINT","JSON","SWSTRING","SWJSON","BYTES","CSV","AVRO","STRING","SWLONG","TWSTRING","TWLONG"]},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}/graph":{"get":{"tags":["agent_SqlStreaming"],"summary":"Get SQL Processor Graph","description":"Returns the DAG (Directed Acyclic Graph) representation of the SQL processor's topology, showing the flow of data through operators, sources, and sinks.","operationId":"getSqlProcessorsGraphV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_ProcessorGraphResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Start SQL Processor

> Initiates execution of a SQL processor that is in a stopped or created state. The processor will begin consuming from input topics and producing to output topics. Returns 202 Accepted as the operation is asynchronous.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}/start":{"put":{"tags":["agent_SqlStreaming"],"summary":"Start SQL Processor","description":"Initiates execution of a SQL processor that is in a stopped or created state. The processor will begin consuming from input topics and producing to output topics. Returns 202 Accepted as the operation is asynchronous.","operationId":"startSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"202":{"description":"","content":{"application/json":{"schema":{"type":"string","minLength":1}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Resume SQL Processor

> Resumes a previously stopped SQL processor from its last committed offset. Unlike start, resume continues processing from where it left off rather than resetting offsets. Returns 202 Accepted as the operation is asynchronous.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}/resume":{"put":{"tags":["agent_SqlStreaming"],"summary":"Resume SQL Processor","description":"Resumes a previously stopped SQL processor from its last committed offset. Unlike start, resume continues processing from where it left off rather than resetting offsets. Returns 202 Accepted as the operation is asynchronous.","operationId":"resumeSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"202":{"description":"","content":{"application/json":{"schema":{"type":"string","minLength":1}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Stop SQL Processor

> Gracefully stops a running SQL processor. The processor will commit its current offsets before stopping, allowing it to be resumed later. Returns 202 Accepted as the operation is asynchronous.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}/stop":{"put":{"tags":["agent_SqlStreaming"],"summary":"Stop SQL Processor","description":"Gracefully stops a running SQL processor. The processor will commit its current offsets before stopping, allowing it to be resumed later. Returns 202 Accepted as the operation is asynchronous.","operationId":"stopSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"responses":{"202":{"description":"","content":{"application/json":{"schema":{"type":"string","minLength":1}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Scale SQL Processor

> Adjusts the number of parallel runner instances for a SQL processor to increase or decrease throughput. Only available for Kubernetes deployments. The scale value must be a positive integer.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}/scale/{scale}":{"put":{"tags":["agent_SqlStreaming"],"summary":"Scale SQL Processor","description":"Adjusts the number of parallel runner instances for a SQL processor to increase or decrease throughput. Only available for Kubernetes deployments. The scale value must be a positive integer.","operationId":"scaleSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}},{"name":"scale","in":"path","description":"The new SQL processor runner count. It has to be an integer bigger than zero.","required":true,"schema":{"type":"string"}}],"responses":{"202":{"description":"","content":{"application/json":{"schema":{"type":"string","minLength":1}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Change SQL Processor Docker Image

> Updates the Docker image used by a SQL processor's runners. This allows upgrading or changing the processor runtime without recreating the processor. The processor should be stopped before changing the image.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_ChangeDockerImageRequest":{"required":["image"],"type":"object","properties":{"image":{"type":"string","minLength":1}}},"agent_ChangeDockerImageResponse":{"required":["id"],"type":"object","properties":{"id":{"type":"string","minLength":1}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/streams/{id}/image":{"put":{"tags":["agent_SqlStreaming"],"summary":"Change SQL Processor Docker Image","description":"Updates the Docker image used by a SQL processor's runners. This allows upgrading or changing the processor runtime without recreating the processor. The processor should be stopped before changing the image.","operationId":"changeImageSqlProcessorV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"SQL processor unique identifier","required":true,"schema":{"type":"string","minLength":1}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_ChangeDockerImageRequest"}}},"required":true},"responses":{"202":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_ChangeDockerImageResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```

## Get Streaming SQL Intellisense

> Provides code completion, syntax validation, and schema suggestions for streaming SQL queries against Kafka topics. Returns completions, errors, and metadata based on the cursor position in the query.

```json
{"openapi":"3.0.0","info":{"title":"Lenses API","version":"6.1"},"tags":[{"name":"agent_SqlStreaming"}],"servers":[{"url":"{server}","variables":{"server":{"default":"https://api.example.com"}}}],"security":[{"bearerAuth":[]},{"cookieAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","description":"The bearer token can be obtained by creating a ServiceAccount.\n"},"cookieAuth":{"type":"apiKey","in":"cookie","name":"session_id","description":"On successful SAML/SSO login, the API will set a cookie with a session id.\n"}},"schemas":{"agent_PresentationRequest1":{"required":["sql"],"type":"object","properties":{"sql":{"type":"string"},"caret":{"type":"integer"}}},"agent_IntellisenseResponse":{"required":["input","caret"],"type":"object","properties":{"input":{"type":"string"},"caret":{"type":"integer"},"lints":{"type":"array","items":{"$ref":"#/components/schemas/agent_Lint"}},"suggestions":{"type":"array","items":{"$ref":"#/components/schemas/agent_Suggestion"}},"highlights":{"type":"array","items":{"$ref":"#/components/schemas/agent_Highlight1"}},"statementsPositions":{"type":"array","items":{"$ref":"#/components/schemas/agent_StatementPos"}}}},"agent_Lint":{"required":["start","end","text","type"],"type":"object","properties":{"start":{"type":"integer"},"end":{"type":"integer"},"text":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_HintType"}}},"agent_HintType":{"type":"string","enum":["Warning","Error","Obfuscation","Info","Security"]},"agent_Suggestion":{"required":["display","text","start","end","type","highlightStart","highlightEnd"],"type":"object","properties":{"display":{"type":"string"},"text":{"type":"string"},"start":{"type":"integer"},"end":{"type":"integer"},"type":{"type":"string"},"description":{"type":"string"},"highlightStart":{"type":"integer"},"highlightEnd":{"type":"integer"}}},"agent_Highlight1":{"required":["start","end","text","type"],"type":"object","properties":{"start":{"type":"integer"},"end":{"type":"integer"},"text":{"type":"string"},"type":{"$ref":"#/components/schemas/agent_HighlightType"}}},"agent_HighlightType":{"type":"string","enum":["Keyword","String","Integral","Float","Boolean","Type"]},"agent_StatementPos":{"required":["index","start","end"],"type":"object","properties":{"index":{"type":"integer"},"start":{"type":"integer"},"end":{"type":"integer"}}},"agent_BadRequest":{"required":["error"],"type":"object","properties":{"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"error":{"type":"string"},"errorType":{"type":"string"}}},"agent_FieldError":{"required":["field","error"],"type":"object","properties":{"field":{"type":"string"},"error":{"type":"string"},"lineNumber":{"type":"integer"},"columnNumber":{"type":"integer"}}},"agent_Unauthorized":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_LicenseError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_Forbidden":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_NotFound":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}},"agent_InternalError":{"required":["error"],"type":"object","properties":{"error":{"type":"string"},"fields":{"type":"array","items":{"$ref":"#/components/schemas/agent_FieldError"}},"errorType":{"type":"string"}}}}},"paths":{"/api/v1/environments/{environment}/proxy/api/v1/intellisense/streams/kafka":{"post":{"tags":["agent_SqlStreaming"],"summary":"Get Streaming SQL Intellisense","description":"Provides code completion, syntax validation, and schema suggestions for streaming SQL queries against Kafka topics. Returns completions, errors, and metadata based on the cursor position in the query.","operationId":"getStreamingIntellisenseV1","parameters":[{"name":"environment","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_PresentationRequest1"}}},"required":true},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_IntellisenseResponse"}}}},"400":{"description":"The request input was invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_BadRequest"}}}},"401":{"description":"Authentication error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Unauthorized"}}}},"402":{"description":"The purchased Lenses license does not provide access to this feature","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_LicenseError"}}}},"403":{"description":"Authorisation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_Forbidden"}}}},"404":{"description":"The requested resource cannot be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_NotFound"}}}},"500":{"description":"An internal server error has occurred","content":{"application/json":{"schema":{"$ref":"#/components/schemas/agent_InternalError"}}}}}}}}}
```
